#ifdef HAVE_CONFIG_H
#include <config.h>
RCSID("$Id: seteuid.c,v 1.3 1996/08/26 22:48:13 assar Exp $");
#endif

int
seteuid(int euid)
{
#ifdef HAVE_SETREUID
    return setreuid(-1, euid);
#endif

#ifdef HAVE_SETRESUID
    return setresuid(-1, euid, -1);
#endif

    return -1;
}
